{% extends '../index.html' %}
{% load static %}

{% block head_content %}
  <title>Login • Neogram</title>
{% endblock head_content %}

{% block body %}
  <div class="container vh-100">
    <div class="row d-flex vh-100 align-items-center justify-content-center">
      <div class="col-4">
        <div class="border pt-4 pb-4 pr-4 pl-4">
          <div class="d-flex justify-content-center mb-4">
            <div class="w-50">
              <img class="img-fluid" src="{% static 'neogram_logo.png' %}" alt="neogram_logo" >
            </div>
          </div>
          {% if form.errors %}<div class="alert alert-danger">Invalid Password or Username</div>{% endif %}
          <form action="{% url 'accounts:login' %}" method="post">
              {% csrf_token %}
              <div class="form-group">
                <input class="form-control" type="text" name="username" id="username-login" placeholder="Username">
              </div>
              <div class="form-group">
                <input class="form-control" type="password" name="password" id="pass-login" placeholder="Password">
              </div>
              <input class="btn btn-primary btn-block" type="submit" value="Log In">
              <input type="hidden" name="next" value="{{ next }}">
          </form>
        </div>
        <div class="border w-100 mt-3 d-flex justify-content-center">
          <div class="mt-3 mb-3">
            <span>Don't have an account?</span>
            <a href="{% url 'accounts:signup' %}" class="text-decoration-none font-weight-bold">Sign up</a>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock body %}
